MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023932Community[OCCT] OCCT:Modeling Algorithmspublic2013-04-24 20:392013-12-19 13:58
ReporterAaron Michalk 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023932: Standard_NoSuchObject thrown computing section between two cylinders - new to 6.6.0
DescriptionExecute the following code and most of the time a Standard_NoSuchObject exception is thrown. The exception is thrown at line 110 of BOPAlgo_PaveFiller_2.cxx. This does not occur in 6.5.5. I reproduced this in the debug version.
Steps To Reproduce    {
        gp_Ax3 axes1(gp_Pnt(538.57646417050069, 347.77316708315834, 183.37500000000000),
                     gp_Dir(0.00000000000000000, -1.0000000000000000, 0.00000000000000000),
                     gp_Dir(1.0000000000000000, 0.00000000000000000, 0.00000000000000000));
        Handle(Geom_CylindricalSurface) basisSurface1(new Geom_CylindricalSurface(axes1, 44.194173824159222));
        Handle(Geom_RectangularTrimmedSurface) surface1(new Geom_RectangularTrimmedSurface(basisSurface1, 0, PI, true));
        gp_Ax3 axes2(gp_Pnt(859.00000000000011, 463.75990629028450, 80.865093709715211),
                     gp_Dir(-1.0000000000000000, 0.00000000000000000, 0.00000000000000000),
                     gp_Dir(0.00000000000000000, -1.0000000000000000, 0.00000000000000000));
        Handle(Geom_CylindricalSurface) basisSurface2(new Geom_CylindricalSurface(axes2, 186.78835506149036));
        Handle(Geom_RectangularTrimmedSurface) surface2(new Geom_RectangularTrimmedSurface(basisSurface2, 0, PI, true));
        TopoDS_Shape section = BRepAlgoAPI_Section(surface1, surface2);
        for (TopExp_Explorer it(section, TopAbs_EDGE); it.More(); it.Next()) {
            return;
        }
        assert(!"BRepAlgoAPI_Section Failed.");
    }
    {
        gp_Ax3 axes1(gp_Pnt(538.57646417050069, 347.77316708315834, 183.37500000000000),
                     gp_Dir(0.00000000000000000, -1.0000000000000000, 0.00000000000000000),
                     gp_Dir(1.0000000000000000, 0.00000000000000000, 0.00000000000000000));
        Handle(Geom_CylindricalSurface) basisSurface1(new Geom_CylindricalSurface(axes1, 44.819173824159222));
        Handle(Geom_RectangularTrimmedSurface) surface1(new Geom_RectangularTrimmedSurface(basisSurface1, 0, PI, true));
        gp_Ax3 axes2(gp_Pnt(859.00000000000011, 463.75990629028450, 80.865093709715211),
                     gp_Dir(-1.0000000000000000, 0.00000000000000000, 0.00000000000000000),
                     gp_Dir(0.00000000000000000, -1.0000000000000000, 0.00000000000000000));
        Handle(Geom_CylindricalSurface) basisSurface2(new Geom_CylindricalSurface(axes2, 187.41335506149036));
        Handle(Geom_RectangularTrimmedSurface) surface2(new Geom_RectangularTrimmedSurface(basisSurface2, 0, PI, true));
        TopoDS_Shape section = BRepAlgoAPI_Section(surface1, surface2);
        for (TopExp_Explorer it(section, TopAbs_EDGE); it.More(); it.Next()) {
            return;
        }
        assert(!"BRepAlgoAPI_Section Failed.");
    }
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug23932_1 , bug23932_2
Attached Files? file icon bug23932_1 (659 bytes) 2013-10-04 09:26
? file icon bug23932_2 (657 bytes) 2013-10-04 09:26

- Relationships
parent of 0023981closedbugmaster Open CASCADE Wrong section curves 

-  Notes
(0025884)
emv (developer)
2013-10-04 09:27

Dear MKV, please test the attached scripts with fix for the issue 0023981.
(0025890)
mkv (tester)
2013-10-04 12:24

Dear BugMaster,

bugs modalg_5(010) bug23932_1 and bug23932_2 are corrected, its are OK.

- Related Changesets
occt: master 830d849f
Timestamp: 2013-10-04 08:40:11
Author: mkv
Committer: bugmaster
Details ] Diff ]
0023932: Standard_NoSuchObject thrown computing section between two cylinders - new to 6.6.0
Adding new test cases
add - tests/bugs/modalg_5/bug23932_1 Diff ] File ]
add - tests/bugs/modalg_5/bug23932_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-24 20:39 Aaron Michalk New Issue
2013-04-24 20:39 Aaron Michalk Assigned To => jgv
2013-04-25 09:51 abv Assigned To jgv => ifv
2013-04-25 09:51 abv Status new => assigned
2013-04-25 09:51 abv Target Version => 6.7.0
2013-04-26 11:34 ifv Assigned To ifv => emv
2013-05-22 09:46 emv Relationship added parent of 0023981
2013-10-04 09:26 emv File Added: bug23932_1
2013-10-04 09:26 emv File Added: bug23932_2
2013-10-04 09:27 emv Note Added: 0025884
2013-10-04 09:28 emv Assigned To emv => mkv
2013-10-04 12:24 mkv Note Added: 0025890
2013-10-04 12:25 mkv Test case number => bugs modalg_5(010) bug23932_1 , bug23932_2
2013-10-04 12:25 mkv Assigned To mkv => bugmaster
2013-10-04 12:25 mkv Status assigned => resolved
2013-10-04 12:25 mkv Status resolved => reviewed
2013-10-04 12:26 mkv Status reviewed => tested
2013-10-04 12:48 bugmaster Changeset attached => occt master 830d849f
2013-10-04 12:48 bugmaster Status tested => verified
2013-10-04 12:48 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker